Page MenuHomePhabricator

VisualEditor: Marathi/Devanagari: Save button does not get enabled for same or lesser length change
Closed, ResolvedPublic8 Estimated Story Points

Description

*Problem Description: If for spelling correction purposes only few charecters within any word are selected and replaced with other charecter of same or lesser length, without movement of arrow keys or spacebar, save button does not get enabled, so effectively we would not be able to save the change.

**Additional details : Problem was identified when we were trying to reproduce bug 53758, intution is it may be some how indirectly related to bug 53758

*Tested Browser and OS =Firefox+Win7

**Were enabled: VisualEditor+ULS Method of input = अक्षरांतरण language=Marathi
Script=Devanagari (Non-VE source edit environ,ULS Method of input = अक्षरांतरण
works normal)

Steps to reproduce:

  • Steps to reproduce:
  • Go to existing page with considerable Marathi Devnagari text may be like

https://mr.wikipedia.org/wiki/अभिमन्यु

  1. Go to माझ्या पसंती (Preferences), संपादन and enable last option:

यथादृश्यसंपादक कार्यान्वित करा (केवळ मुख्य(लेख) आणि सदस्य नामविश्वात) - this
enables VisualEditor

  1. Click cog next to इतर भाषांमध्ये
  2. Under क्षेपन (टायपींग ईनपुट) make sure to choose अक्षरांतरण
  1. Select any random marathi word from existing paragraph text

6.Make the changes in the word by changing alphabate but see that length of the word remains less after the change.
**Please note do not move arrow keys or spacebar

7 Save button does not apear


Version: unspecified
Severity: major

Details

Reference
bz53788

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:52 AM
bzimport set Reference to bz53788.
Mahitgar created this task.Sep 5 2013, 1:52 AM

Sorry
*7 Save button does not get enabled

(In reply to comment #0)

*Tested Browser and OS =Firefox+Win7

Please always provide exact version info (your Firefox version).

(In reply to comment #2)

Firefox version- 23.0.1 It gets automatically updated

Rgds

There's code to address this bug in the following patch, which is due to go live by mediawiki.org on 13 September 2013:

https://gerrit.wikimedia.org/r/#/c/82858/

Please let us know whether it fixes the bug!

(In reply to comment #4)

*This Test phase seems to have fixed problem on mediawiki.Tested at my user page on mediawiki at https://www.mediawiki.org/wiki/User:Mahitgar now works well

*Still to be fixed on rest of the wikis including mr wikipedia https://mr.wikipedia.org/wiki/अभिमन्यु

Thanks and Regards

-Mahitgar

Based on your comments, I'm marking this as FIXED - please check, and reopen if it's not!

Jdforrester-WMF set the point value for this task to 8.Jun 14 2016, 12:01 PM
Jdforrester-WMF set Security to None.